import re
IS_NUMERIC = "^[-+]?\\d+(\\.\\d+)?$"

def get_consumption():
    inp = input("Enter kWh consumed: ")
    while not re.match(IS_NUMERIC, inp) or int(inp) < 0:
        print("Error: Invalid number!")
        inp = input("Enter a non-negative number: ")
    return int(inp)


def find_amount(kwh):
    if kwh <= 400:
        amount = kwh * 0.08
    elif kwh <= 1500:
        amount = 400 * 0.08 + (kwh - 400) * 0.22
    elif kwh <= 3000:
        amount = 400 * 0.08 + 1100 * 0.22 + (kwh - 1500) * 0.35
    else:
        amount = 400 * 0.08 + 1100 * 0.22 + 1500 * 0.35 + (kwh - 3000) * 0.5

    amount += 0.26 * amount
    return amount

#Main code starts here

while True:
    kwh = get_consumption()
    print("You need to pay:", find_amount(kwh))
    answer = input("Would you like to repeat? ")
    if answer.upper() != "YES": break
